curl --request PATCH \
--url https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/profile_data/{job_profile_data_external_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source": "Workday",
"data": {
"job_description": "Backend developers have experience in writing code for the backend of a web application. They are responsible for the server-side logic of a web application."
}
}
'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/profile_data/{job_profile_data_external_id}"
payload = {
"source": "Workday",
"data": { "job_description": "Backend developers have experience in writing code for the backend of a web application. They are responsible for the server-side logic of a web application." }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: 'Workday',
data: {
job_description: 'Backend developers have experience in writing code for the backend of a web application. They are responsible for the server-side logic of a web application.'
}
})
};
fetch('https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/profile_data/{job_profile_data_external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Update Job Profile Data
Update Profile Data for a Job.
Note: It may take some time for these changes to be reflected in the Job’s final Skill Profile, since they are processed asynchronously.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique ID linked to a Job, consisting of alphanumeric characters, hyphens and underscores. The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Unique ID linked to Profile Data, consisting of alphanumeric characters, hyphens and underscores. The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Query Parameters
The language of the input data, which has an impact on the Skill extraction. auto will automatically detect the language used in the provided data.
auto, nl, fr, en, de "en"
Body
Update structure of Job Profile Data
The source of the Job Profile Data.
1 - 255"Workday"
The content of the Job Profile Data. The content should align with the original data_type assigned to this Profile Data.
- job_description_content
- job_description_file_content
- job_title_content
- vacancy_content
- skill_notes
Show child attributes
Show child attributes
Response
No Content
Was this page helpful?